﻿.page-devotion-manage .article {
  padding-bottom: 6rem; }
  .page-devotion-manage .article > .wrapper {
    padding: 1rem;
    display: flex;
    flex-direction: column; }
    .page-devotion-manage .article > .wrapper .each-form.search {
      min-height: 4rem !important;
      margin-bottom: 0.5rem !important; }
      .page-devotion-manage .article > .wrapper .each-form.search > div label {
        margin-top: 0.5rem; }
    .page-devotion-manage .article > .wrapper .each-form.btn-bar {
      border-bottom: 1px solid #ddd;
      margin-bottom: 3rem !important;
      min-height: 6rem !important; }
      .page-devotion-manage .article > .wrapper .each-form.btn-bar > div.col-row {
        display: flex;
        align-items: stretch;
        justify-content: space-between; }
        .page-devotion-manage .article > .wrapper .each-form.btn-bar > div.col-row > div {
          display: flex; }
    .page-devotion-manage .article > .wrapper .each-form .col-row div.left {
      padding-left: 0; }
      .page-devotion-manage .article > .wrapper .each-form .col-row div.left.full {
        padding-right: 0; }
    .page-devotion-manage .article > .wrapper .each-form .col-row div.right {
      padding-right: 0; }
      .page-devotion-manage .article > .wrapper .each-form .col-row div.right.full {
        padding-left: 0; }
    .page-devotion-manage .article > .wrapper .each-form .col-row div > .btn {
      white-space: normal;
      word-break: keep-all;
      display: flex;
      justify-content: center;
      align-items: center; }
    .page-devotion-manage .article > .wrapper .list .count {
      text-align: right; }
    .page-devotion-manage .article > .wrapper .list .table {
      padding-top: 4rem; }
      .page-devotion-manage .article > .wrapper .list .table .t-relative {
        width: 100%; }
      .page-devotion-manage .article > .wrapper .list .table .t-head {
        height: 4rem; }
      .page-devotion-manage .article > .wrapper .list .table .t-data {
        height: 4rem;
        padding-top: 1rem; }
        .page-devotion-manage .article > .wrapper .list .table .t-data.bold {
          font-weight: bold; }
        .page-devotion-manage .article > .wrapper .list .table .t-data.number {
          width: 10%; }
        .page-devotion-manage .article > .wrapper .list .table .t-data.name {
          width: 18%; }
        .page-devotion-manage .article > .wrapper .list .table .t-data.duty {
          width: 18%; }
        .page-devotion-manage .article > .wrapper .list .table .t-data.title {
          width: 54%; }
    .page-devotion-manage .article > .wrapper table {
      border: 0;
      table-layout: fixed; }
      .page-devotion-manage .article > .wrapper table > tbody > tr > th, .page-devotion-manage .article > .wrapper table > tbody > tr > td {
        border: 0; }
      .page-devotion-manage .article > .wrapper table > tbody > tr > th {
        width: 25%;
        text-align: center;
        font-weight: normal;
        padding: 0;
        vertical-align: top; }
        .page-devotion-manage .article > .wrapper table > tbody > tr > th .year {
          color: #999; }
        .page-devotion-manage .article > .wrapper table > tbody > tr > th .icon {
          width: 30px;
          height: 30px;
          border-radius: 4px;
          padding-top: 4px;
          display: inline-block;
          margin-top: 10px; }
          .page-devotion-manage .article > .wrapper table > tbody > tr > th .icon.black {
            background: #777; }
          .page-devotion-manage .article > .wrapper table > tbody > tr > th .icon .fa {
            font-size: 2rem;
            color: #fff; }
      .page-devotion-manage .article > .wrapper table > tbody > tr td.line {
        position: relative;
        width: 1%; }
        .page-devotion-manage .article > .wrapper table > tbody > tr td.line span {
          height: 100%;
          position: absolute;
          width: 1px;
          right: 0;
          top: 0;
          background: #eee; }
      .page-devotion-manage .article > .wrapper table > tbody > tr td.content {
        cursor: pointer;
        padding: 0; }
        .page-devotion-manage .article > .wrapper table > tbody > tr td.content .each {
          position: relative;
          min-height: 170px; }
          .page-devotion-manage .article > .wrapper table > tbody > tr td.content .each > .text {
            display: inline-block;
            vertical-align: top;
            padding: 0 20px 20px 20px;
            width: 100%; }
            .page-devotion-manage .article > .wrapper table > tbody > tr td.content .each > .text > .top {
              position: relative;
              margin: 0 0 7px 0; }
              .page-devotion-manage .article > .wrapper table > tbody > tr td.content .each > .text > .top > .title {
                font-weight: bold;
                position: relative;
                white-space: nowrap;
                text-overflow: ellipsis;
                overflow: hidden; }
              .page-devotion-manage .article > .wrapper table > tbody > tr td.content .each > .text > .top:before {
                content: '';
                position: absolute;
                left: -31px;
                width: 12px;
                height: 12px;
                border-radius: 50%;
                background: #eee;
                top: 0.3rem; }
            .page-devotion-manage .article > .wrapper table > tbody > tr td.content .each > .text > .content {
              max-height: 217px;
              overflow: hidden;
              -webkit-line-clamp: 12;
              -webkit-box-orient: vertical;
              word-wrap: break-word;
              text-overflow: ellipsis;
              display: -webkit-box; }
      .page-devotion-manage .article > .wrapper table > tbody > tr:first-child td span {
        top: 4px; }
    .page-devotion-manage .article > .wrapper .chart .desc {
      text-align: right;
      padding-right: 10px; }
    .page-devotion-manage .article > .wrapper .chart .bar-wrap {
      margin-bottom: 20px;
      background: #f3f4f6;
      height: 18px;
      border-radius: 9999px;
      overflow: hidden; }
      .page-devotion-manage .article > .wrapper .chart .bar-wrap .bar {
        height: 100%;
        width: 0%;
        background: #3b82f6;
        border-radius: 9999px;
        transition: width .9s ease; }
    .page-devotion-manage .article > .wrapper .panel {
      border-color: #808080;
      margin-bottom: 1rem !important; }
      .page-devotion-manage .article > .wrapper .panel .panel-body {
        padding: 10px; }
        .page-devotion-manage .article > .wrapper .panel .panel-body .badge {
          padding: 5px 10px; }
        .page-devotion-manage .article > .wrapper .panel .panel-body .states {
          height: 2rem;
          margin-bottom: 5px; }
          .page-devotion-manage .article > .wrapper .panel .panel-body .states .btns {
            display: inline-block;
            float: right; }
            .page-devotion-manage .article > .wrapper .panel .panel-body .states .btns .icon {
              width: 25px;
              height: 25px;
              border-radius: 4px;
              padding-top: 1px;
              display: inline-block; }
              .page-devotion-manage .article > .wrapper .panel .panel-body .states .btns .icon.black {
                background: #777; }
              .page-devotion-manage .article > .wrapper .panel .panel-body .states .btns .icon .fa {
                font-size: 1.3rem;
                color: #fff;
                margin-left: 0.7rem;
                margin-top: 0.5rem; }
        .page-devotion-manage .article > .wrapper .panel .panel-body .name {
          font-weight: bold;
          margin-bottom: 5px;
          font-size: 1.5rem; }
        .page-devotion-manage .article > .wrapper .panel .panel-body .date {
          margin-right: 5px;
          /*text-align: right;
                        float: right;*/ }
        .page-devotion-manage .article > .wrapper .panel .panel-body .kind {
          margin-bottom: 5px; }
        .page-devotion-manage .article > .wrapper .panel .panel-body .titles {
          margin-bottom: 5px; }
          .page-devotion-manage .article > .wrapper .panel .panel-body .titles span, .page-devotion-manage .article > .wrapper .panel .panel-body .titles div {
            font-weight: bold;
            font-size: 1.5rem; }
          .page-devotion-manage .article > .wrapper .panel .panel-body .titles .red {
            background-color: red; }
          .page-devotion-manage .article > .wrapper .panel .panel-body .titles .badge {
            font-size: 1.2rem; }
          .page-devotion-manage .article > .wrapper .panel .panel-body .titles .badge + .badge {
            margin-right: 10px; }
          .page-devotion-manage .article > .wrapper .panel .panel-body .titles .title {
            padding-top: 0.3rem; }
          .page-devotion-manage .article > .wrapper .panel .panel-body .titles .desc {
            font-weight: normal; }
          .page-devotion-manage .article > .wrapper .panel .panel-body .titles .target {
            padding-left: 1rem; }
        .page-devotion-manage .article > .wrapper .panel .panel-body .content {
          margin: 1rem auto; }
        .page-devotion-manage .article > .wrapper .panel .panel-body:last-child {
          border: 0; }
        .page-devotion-manage .article > .wrapper .panel .panel-body .line {
          border-bottom: 1px solid #eee;
          margin: 1rem 0rem 1rem 0rem; }
        .page-devotion-manage .article > .wrapper .panel .panel-body .contentDetail {
          margin: 1rem 0rem 1rem 0rem;
          line-height: 180%;
          white-space: pre-line;
          /*height: 40rem;*/
          /*height:60vh;*/ }
          .page-devotion-manage .article > .wrapper .panel .panel-body .contentDetail .component-viewer .preview-pdf {
            height: 60vh; }
        .page-devotion-manage .article > .wrapper .panel .panel-body iframe.ifrh {
          width: 1px;
          height: 1px;
          display: none;
          visibility: hidden; }
        .page-devotion-manage .article > .wrapper .panel .panel-body iframe .ifr {
          width: 100%;
          height: 100%; }

/*# sourceMappingURL=data:application/json;base64,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 */